﻿using System;
using System.Collections;
using System.Drawing;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace GrapeCity.FlexGridData
{
    public partial class FlexGridData : Form
    {
        public FlexGridData()
        {
            InitializeComponent();

            _fgGrid = new C1FlexGrid();
            _fgGrid.Location = new Point(0, 0);
            _fgGrid.Size = new Size(1080, 800);
            _fgGrid.AllowAddNew = true;
            _fgGrid.KeyActionTab = KeyActionEnum.MoveAcrossOut;
            Controls.Add(_fgGrid);

            employeeList = new ArrayList(); //create a collection to hold Employees
            AddEmployee();  //Add Employees to employee collection
            _fgGrid.DataSource = employeeList;
        }
        public void AddEmployee()
        {
            Employee testEmployee = new Employee();
            testEmployee.FirstName = "Jan";
            testEmployee.LastName = "Smith";
            testEmployee.Address = "Street 6";
            testEmployee.Number = 77;
            employeeList.Add(testEmployee);

            testEmployee = new Employee();
            testEmployee.FirstName = "Tim";
            testEmployee.LastName = "Johnson";
            testEmployee.Address = "Giuseppe Mazzini, 4";
            testEmployee.Number = 78;
            employeeList.Add(testEmployee);

            testEmployee = new Employee();
            testEmployee.FirstName = "Kim";
            testEmployee.LastName = "Richard";
            testEmployee.Address = "Mameli, 9a";
            testEmployee.Number = 79;
            employeeList.Add(testEmployee);

            testEmployee = new Employee();
            testEmployee.FirstName = "Joseph";
            testEmployee.LastName = "Petre";
            testEmployee.Address = "Mentana, 11";
            testEmployee.Number = 80;
            employeeList.Add(testEmployee);

            testEmployee = new Employee();
            testEmployee.FirstName = "Rechard";
            testEmployee.LastName = "Belly";
            testEmployee.Address = "Riviera Paleocapa";
            testEmployee.Number = 81;
            employeeList.Add(testEmployee);
        }

        private C1FlexGrid _fgGrid;
        private ArrayList employeeList;
    }
    public class Employee
    {
        public Employee()
        {
            _firstName = "";
            _lastName = "";
            _address = "";
            _number = 0;
        }
        public string FirstName
        {
            get
            {
                return _firstName;
            }
            set
            {
                _firstName = value;
            }
        }
        public string LastName
        {
            get
            {
                return _lastName;
            }
            set
            {
                _lastName = value;
            }

        }
        public string Address
        {
            get
            {
                return _address;
            }
            set
            {
                _address = value;
            }
        }
        public Int32 Number
        {
            get
            {
                return _number;
            }
            set
            {
                _number = value;
            }
        }
        
        private string _firstName;
        private string _lastName ;
        private string _address;
        private int _number;
    }
}
